Block Lookup
Fetch a block row by height or hash and optionally expand its transactions and receipts.
Live Response
Responses from the selected endpoint appear here after you run a request.
Live response output will appear here after you run a request.
Request reference
application/jsonThis operation performs POST /v0/block with an application/json request body.
Required request inputs: yes
POST /v0/block
{
"block_id": 193916411,
"with_receipts": true,
"with_transactions": true
}Request body schema
objectBlockInput
requires block_idblock_id *one ofintegerstring
with_receiptsbooleanwith_transactionsbooleanResponse reference
200 application/jsonBlock lookup result
Response schema
objectBlockResponse
requires block, block_txs, block_receiptsblock *objectauthor_id *stringblock_hash *stringblock_height *integerblock_ordinalintegerblock_timestamp *stringchunks_included *integerepoch_id *stringgas_burnt *stringgas_price *stringnext_epoch_id *stringnum_receipts *integernum_transactions *integerprev_block_hash *stringprev_block_heightintegerprotocol_version *integertokens_burnt *stringtotal_supply *stringblock_receipts *arrayitemsobjectReceiptTxRowappear_block_height *integerappear_receipt_index *integerblock_height *integerblock_timestamp *stringis_success *booleanpredecessor_id *stringpriority *integerreceipt_id *stringreceipt_index *integerreceipt_type *stringreceiver_id *stringshard_id *integertransaction_hash *stringtx_block_height *integertx_block_timestamp *stringtx_index *integerblock_txs *arrayitemsobjectBlockTxRowgas_burnt *integeris_completed *booleanis_relayed *booleanis_success *booleanlast_block_height *integernonce *integerpriority_fee *integerreal_receiver_id *stringreal_signer_id *stringreceiver_id *stringshard_id *integersigner_id *stringsigner_public_key *stringtokens_burnt *stringtransaction_hash *stringtx_block_hash *stringtx_block_height *integertx_block_timestamp *stringtx_index *integer